#include "bldc.h"

#define H  10000
#define L -10000

void
simple_commutate (int forever)
{
  int hall;
  int old_hall = ~0;

  return ;

  cpwm_levels (0, 0, 0);
  bldc_run ();
  while (forever || !encoder_synced ())
    {
      hall = PORTB.PORT.BYTE & (U_HALL | V_HALL | W_HALL);

      if (hall == old_hall)
	continue;
      old_hall = hall;

      switch (hall)
	{
	case U_HALL | W_HALL: cpwm_levels (H, L, 0); break;
	case U_HALL         : cpwm_levels (H, 0, L); break;
	case U_HALL | V_HALL: cpwm_levels (0, H, L); break;
	case V_HALL         : cpwm_levels (L, H, 0); break;
	case V_HALL | W_HALL: cpwm_levels (L, 0, H); break;
	case W_HALL         : cpwm_levels (0, L, H); break;
	}
    }
  cpwm_levels (0, 0, 0);
  bldc_stop ();

  encoder_reset ();
}

