#include <stdio.h>
#include <math.h>

static double cosine_table[] = {
#include "cosines.h"
};

#define MAXC 4000

static double
dcos (int pos)
{
  pos *= 2;
  pos %= COS_TABLE_SIZE*4;
  if (pos < 0)
    pos += COS_TABLE_SIZE*4;
  switch (pos / COS_TABLE_SIZE) {
  case 0:
    printf("[%d %4d] ", 0, pos);
    return cosine_table[pos];
  case 1:
    printf("[%d %4d] ", 1, pos);
    return - cosine_table[COS_TABLE_SIZE*2 - pos];
  case 2:
    printf("[%d %4d] ", 2, pos);
    return - cosine_table[pos - COS_TABLE_SIZE*2];
  case 3:
    printf("[%d %4d] ", 3, pos);
    return cosine_table[COS_TABLE_SIZE*4 - pos];
  }
}

main()
{
  int i;
  double c1, c2;

  setbuf (stdout, NULL);

  for (i=-1000; i<COS_TABLE_SIZE*4; i += 40)
    {
      c1 = cos (i * M_PI / (MAXC/4));
      c2 = dcos (i);

      printf("%5d %9.6f %9.6f\n", i, c1, c2);
    }
}
